package com.chinaitop.depot.intelligent.IntelligentDetection.model;

import java.util.Date;

public class TTimingTaskHistory {
    private String id;

    private String orgId;

    private String tId;

    private String vCfCode;

    private String tDetectionDesc;

    private String tDetectionCron;

    private String tCategory;

    private Date tUpdateTime;

    private String tRemark;

    /**
     * 
     * @return id 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 检测id
     * @return t_id 检测id
     */
    public String gettId() {
        return tId;
    }

    /**
     * 检测id
     * @param tId 检测id
     */
    public void settId(String tId) {
        this.tId = tId == null ? null : tId.trim();
    }

    /**
     * 仓房code
     * @return v_cf_code 仓房code
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 仓房code
     * @param vCfCode 仓房code
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 检测描述
     * @return t_detection_desc 检测描述
     */
    public String gettDetectionDesc() {
        return tDetectionDesc;
    }

    /**
     * 检测描述
     * @param tDetectionDesc 检测描述
     */
    public void settDetectionDesc(String tDetectionDesc) {
        this.tDetectionDesc = tDetectionDesc == null ? null : tDetectionDesc.trim();
    }

    /**
     * cron表达式
     * @return t_detection_cron cron表达式
     */
    public String gettDetectionCron() {
        return tDetectionCron;
    }

    /**
     * cron表达式
     * @param tDetectionCron cron表达式
     */
    public void settDetectionCron(String tDetectionCron) {
        this.tDetectionCron = tDetectionCron == null ? null : tDetectionCron.trim();
    }

    /**
     * 检测类型 0粮温，1虫害，2气体，3能耗，4数量
     * @return t_category 检测类型 0粮温，1虫害，2气体，3能耗，4数量
     */
    public String gettCategory() {
        return tCategory;
    }

    /**
     * 检测类型 0粮温，1虫害，2气体，3能耗，4数量
     * @param tCategory 检测类型 0粮温，1虫害，2气体，3能耗，4数量
     */
    public void settCategory(String tCategory) {
        this.tCategory = tCategory == null ? null : tCategory.trim();
    }

    /**
     * 更新时间
     * @return t_update_time 更新时间
     */
    public Date gettUpdateTime() {
        return tUpdateTime;
    }

    /**
     * 更新时间
     * @param tUpdateTime 更新时间
     */
    public void settUpdateTime(Date tUpdateTime) {
        this.tUpdateTime = tUpdateTime;
    }

    /**
     * 检测结果描述
     * @return t_remark 检测结果描述
     */
    public String gettRemark() {
        return tRemark;
    }

    /**
     * 检测结果描述
     * @param tRemark 检测结果描述
     */
    public void settRemark(String tRemark) {
        this.tRemark = tRemark == null ? null : tRemark.trim();
    }
}